> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Inviting merchants

> Use the Dintero Partner API to invite merchants for onboarding so they can accept Dintero's terms of service and start accepting payments under your account.

Merchants must complete onboarding themselves so they can accept Dintero's [terms of service](https://www.dintero.com/legal).

There are two flows for creating new merchants under your partner account. Both accept an optional `signup_reference` parameter that you can use to track which invitation a merchant signed up from. You can retrieve this value later from the `applicant.signup_reference` field when you [get the account settings](/partners/account-settings/aid_account_aid_get).

## Alternative 1: Self-service onboarding

You link the merchant to the Dintero onboarding form. The merchant submits their details, accepts the terms of service, verifies their email address, and creates a password for their Dintero account.

```text wrap theme={null}
https://onboarding.dintero.com/?partner={partner_id}&signup_reference={signup_reference}
```

Example: `https://onboarding.dintero.com/?partner=112&signup_reference=abc-123`

## Alternative 2: Prefilled onboarding

You prefill the merchant's details using the prefill form. The merchant receives an email with a link to review and edit their details, accept the terms of service, and create a password.

```text wrap theme={null}
https://onboarding.dintero.com/prefill?partner={partner_id}&signup_reference={signup_reference}
```

Example: `https://onboarding.dintero.com/prefill?partner=112&signup_reference=abc-123`

## Requesting in-person payments for a new merchant

Partners can request that in-person payments (IPP, using physical terminals) be enabled for a new merchant during the onboarding process.

<Tabs>
  <Tab title="Backoffice">
    In [Backoffice](https://backoffice.dintero.com/), open **Partner admin** and click **Invite new merchant**. In the integration settings section of the new merchant form, check **Terminal payments** and submit the form.

    The IPP request is saved to the new merchant account and is reflected in the KYC process.
  </Tab>

  <Tab title="API">
    When creating the merchant account with [`POST /accounts/{oid}/management/accounts`](/partners/accounts/aid_mgmnt_accounts_post), include `ipp` in `onboarding.requested_payment_methods`:

    ```json theme={null}
    {
      "onboarding": {
        "requested_payment_methods": ["ipp"]
      }
    }
    ```

    See the [create account](/partners/accounts/aid_mgmnt_accounts_post) API reference for the full request schema.
  </Tab>
</Tabs>

## Get notified when merchants are onboarded

Subscribe to the `account_add` and `account_update` webhook events to get notified when a merchant completes onboarding or updates their information.

```bash wrap Request theme={null}
curl -X POST https://api.dintero.com/v1/accounts/T11200000/hooks/subscriptions \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "url": "https://example.com/webhooks/dintero"
    },
    "events": [
      "account_add",
      "account_update"
    ]
  }'
```

See the [create webhook subscription API reference](/partners/subscriptions/aid_source_hooks_post) for all available options.
